petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatColoringRegisterAll

Registers all of the matrix Coloring routines in PETSc.

### Synopsis

    PetscErrorCode  MatColoringRegisterAll(void)

Not Collective

### Adding new methods

To add a new method to the registry. Copy this routine and modify it to incorporate a call to MatColoringRegister() for the new method, after the current list.

.keywords: matrix, coloring, register, all

.seealso: MatColoringRegister(), MatColoringRegisterDestroy()

### Level

developer

### Location

src/mat/color/interface/matcoloringregi.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages